#!/bin/bash
#
# NOTE: Lines starting with "#SBATCH" are valid SLURM commands or statements,
#       while those starting with "#" and "##SBATCH" are comments.  Uncomment
#       "##SBATCH" line means to remove one # and start with #SBATCH to be a
#       SLURM command or statement.
#
#SBATCH -J SCHDM_3d_test #Slurm job name
#
# Set the maximum runtime, uncomment if you need it
##SBATCH -t 48:00:00 #Maximum runtime of 48 hours
#
# Choose partition (queue), for example, partition "standard"
#SBATCH -p ias
#
# Use 2 nodes and 48 cores
#SBATCH -N 2 -n 48
#
# Setup runtime environment if necessary
# For example, setup MPI environment
#source /usr/local/setup/pgicdk-15.10.sh
#source /usr/local/setup/mvapich2-2.2rc1-gcc.sh
# or you can source ~/.bashrc or ~/.bash_profile
#
# Go to the job submission directory and run your application
#echo ${SLURM_JOB_NODELIST} > hostname
cd $HOME/SC-HDM/hpc2_test
export I_MPI_FABRICS=ofa
/home/kun/Comsol44/comsol44_n/bin/comsol -clustersimple -nn 2 -np 24 -f hostname2 -mpifabrics shm:ofa batch -inputfile /home/kun/SC-HDM/hpc2_test/test_3d_4.mph -outputfile /home/kun/SC-HDM/hpc2_test/out_test_3d_7.mph -batchlog /home/kun/SC-HDM/hpc2_test/schdm_3d_7.log
